Subject: [AVT] Computing audio/video skew using RTP/RTCP timestamp

From: "Amit Danziger" <[email-masked]>
Date: Wed, 04 Jun 2003 11:25:34 +0300

Hi,
I'm trying to figure out how to compute RTP audio/video streams skew at the 
receiver side.
Here's what I know:

Audio clock - Ca (8000Hz)
Video clock - Cv (90000Hz)

RTCP SR info:
Audio NTP timestamp - Na, Video NTP timestamp - Nv
Audio RTP timestamp - Ra, Video RTP timestamp - Rv

If I understand correctly I should calculate delta between streams (audio - 
video)as:
D = (Ra / Ca - Rv / Cv) - (Na - Nv)

Now, in order to compute the skew between two received RTP packets (assuming 
they were received simultaneously):
Audio timestamp - Ta, Video timestamp - Tv

Skew = (Ta / Ca - Tv / Cv) + D

I'm not sure why, BUT somewhere along the way I'm mistaken. The numbers just 
don't make sense.

I'd be glad to hear any ideas.
Thanks,

Ami Tdanz

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*. 
http://join.msn.com/?page=features/virus

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt